<?php

function perikizdircheck()
{
    if (is_writable(perikiz_wordpress_root_dir . perikiz_swf_dir) === FALSE) {
        echo 'Oyunun Swf Dosyasının Kaydedileceği Dizin Yazılabilinir Değil Lütfen Dizini Oluşturun ve Yazma Hakkı İzni Veriniz : <b>' . perikiz_swf_dir . '</b>';
        exit;
    }
    if (is_writable(perikiz_wordpress_root_dir . perikiz_resim_dir) === FALSE) {
        echo 'Oyunun Resim Dosyasının Kaydedileceği Dizin Bulunamadı Lütfen Dizini Oluşturun ve Yazma Hakkı İzni Veriniz : <b>' . perikiz_resim_dir . '</b>';
        exit;
    }
}

if (!function_exists('get_page_by_slug')) {
    function get_page_by_slug($page_slug, $output = OBJECT, $post_type = 'post')
    {
        global $wpdb;
        $page = $wpdb->get_var($wpdb->prepare("SELECT ID FROM $wpdb->posts WHERE post_name = %s AND post_type= %s", $page_slug, $post_type));
        if ($page)
            return get_page($page, $output);
        return null;
    }
}


# slug üretmek için
if (!function_exists('sefurl')) {
    function sefurl($s)
    {
        $tr = array('ş', 'Ş', 'ı', 'İ', 'ğ', 'Ğ', 'ü', 'Ü', 'ö', 'Ö', 'Ç', 'ç');
        $eng = array('s', 'S', 'i', 'I', 'g', 'G', 'u', 'U', 'o', 'O', 'C', 'c');
        $s = str_replace($tr, $eng, $s);
        $s = preg_replace('[^0-9A-Za-z]', " ", $s);
        $s = trim($s);
        $s = str_replace(' ', "-", $s);
        for ($i = 0; $i <= 5; $i++) {
            $s = str_replace("--", "-", $s);
        }
        return strtolower($s);
    }
}

if (!function_exists('keywords')) {
    function keywords($key)
    {
        $key = str_replace(' ', ",", $key);
        for ($i = 0; $i <= 5; $i++) {
            $key = str_replace(",,", ",", $key);
        }
        return mb_strtolower($key, 'UTF-8');
    }
}

if (!function_exists('uzanti')) {
    function uzanti($ad)
    {

        $array = explode('.', $ad);
        $size = count($array) - 1;
        return $array[$size];
    }
}


if (!function_exists('getData')) {
    function getData($url, $ref = FALSE)
    {
        $curl = curl_init();
        curl_setopt($curl, CURLOPT_URL, $url);
        curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
        curl_setopt($curl, CURLOPT_USERAGENT, "Mozilla/5.0 (Ubuntu; X11; Linux x86_64; rv:8.0) Gecko/20100101 Firefox/8.0");
        $ref = $ref !== FALSE ? $ref : 'http://www.google.com/';
        curl_setopt($curl, CURLOPT_REFERER, $ref);

        curl_setopt($curl, CURLOPT_TIMEOUT, 5);
        $source = curl_exec($curl);
        if ($source === FALSE) {
            return FALSE;
        }
        return $source;
    }
}
/*
* POST GET işlemleri İçin.
* Req Sınıfı
* Fonksiyonlar Static Olarak tanımlanmıştır.
*/

if (!class_exists('Req')) {
    class Req
    {
        // MQ MQ MQ
        static function deep(&$value)
        {
            $value = is_array($value) ? array_map('Req::deep', $value) : stripslashes($value);
            return $value;
        }

        // Veri temizlemek İçin
        static function Temizle($veri)
        {
            $veri = trim(htmlspecialchars($veri, ENT_QUOTES, 'UTF-8'));
            $veri = str_replace('`', '&#96;', $veri);

            // hsc fix &amp;#039; => to => &#039;
            $veri = preg_replace("/&amp;(#[0-9]+|[a-z]+);/i", "&$1;", $veri);
            return $veri;
        }

        // Url den gelen veriyi temizliyoruz.
        static function Url_Clear($veri)
        {
            $veri = urldecode($veri);
            return self::Clear($veri);
        }

        // Veri temizlemek için
        static function Clear($value = NULL)
        {
            if (is_array($value)) {
                return array_map(array('Req', 'Clear'), $value);
            }
            return Req::Temizle($value);

        }

        static function unhtmlentities($string)
        {
            $trans_tbl = get_html_translation_table(HTML_ENTITIES);
            $trans_tbl = array_flip($trans_tbl);
            return strtr($string, $trans_tbl);
        }

        // MQ Değerine Bakıyoruz.
        static function Amed()
        {
            return get_magic_quotes_gpc() ? True : False;
        }

        // $_POST ile gelen değeri alıyoruz
        static function Post($name)
        {
            return self::Amed() ? self::deep($_POST [$name]) : $_POST [$name];
        }

        // $_POST ile alınan veriyi temizliyoruz
        static function Post_Safe($name)
        {
            return self::Clear(self::Post($name));
        }

        // $_POST ile gelen değer varmı bakıyoruz
        static function is_Post($name)
        {
            return isset ($_POST [$name]) and $_POST [$name] != '' ? True : False;
        }

        // $_POST ile gelen veri int mi
        static function is_int_Post($name)
        {
            return is_int($_POST [$name]) ? True : False;
        }

        // $_POST ile gelen veri int mi
        static function is_string_Post($name)
        {
            return is_string($_POST [$name]) ? True : False;
        }

        // $_GET ile gelen değeri alıyoruz
        static function Get($name)
        {
            return self::Amed() ? self::deep($_GET [$name]) : $_GET [$name];
        }

        // $_GET ile gelen değer varmı bakıyoruz
        static function is_Get($name)
        {
            return isset ($_GET [$name]) and $_GET [$name] != '' ? True : False;
        }

        // $_GET ile alınan veriyi temizliyoruz
        static function Get_Safe($name)
        {
            return self::Url_Clear(self::Get($name));
        }

        // $_GET ile gelen veri int mi
        static function is_int_Get($name)
        {
            return is_int($_GET [$name]) ? True : False;
        }

        // $_GET ile gelen veri int mi
        static function is_string_Get($name)
        {
            return is_string($_GET [$name]) ? True : False;
        }

        // $_REQUEST ile gelen değeri alıyoruz
        static function Request($name)
        {
            return self::Amed() ? self::deep($_REQUEST [$name]) : $_REQUEST [$name];
        }
    }
}